Package ru.bgcrm.dao

# Class PeriodicDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.dao.PeriodicDAO

Direct Known Subclasses:
  `ActionLogDAO`, `InvoiceDAO`

public class PeriodicDAO extends CommonDAO
DAO with month tables support.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final Set<String>`
  `EXISTING_TABLES`
  Cache of existing table names.

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `PeriodicDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `checkAndCreateMonthTable(String tableNamePrefix, Date date, String createQuery)`
  `protected String`
  `getMonthTableName(String tableNamePrefix, Date date)`
  `protected boolean`
  `tableExists(String tableName)`
  Checks table existence.

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EXISTING_TABLES

    protected static final Set<String> EXISTING_TABLES
    Cache of existing table names.

- ## Constructor Details

  - ### PeriodicDAO

    protected PeriodicDAO(Connection con)

- ## Method Details

  - ### checkAndCreateMonthTable

    protected String checkAndCreateMonthTable(String tableNamePrefix, Date date, String createQuery) throws SQLException
    Throws:
      `SQLException`

  - ### getMonthTableName

    protected String getMonthTableName(String tableNamePrefix, Date date)

  - ### tableExists

    protected boolean tableExists(String tableName) throws SQLException
    Checks table existence.
    Parameters:
      `tableName` - table name.
    Returns:
      is the table exists.
    Throws:
      `SQLException`